Bug 1474861 - 32 bit UEFI Support
32 bit UEFI Support
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
28
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
ChangeAcceptedF27, SystemWideChange
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 10:03 EDT by Jan Kurik
Modified: 2018-05-06 17:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 10:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-07-25 10:03:22 EDT
This is a tracking bug for Change: 32 bit UEFI Support
For more details, see: https://fedoraproject.org//wiki/Changes/32BitUefiSupport

Some x86 systems ship with a 64 bit CPU, but 32 bit UEFI firmware. It is possible to use a 32 bit UEFI grub build to boot a 64 bit kernel and distribution on these systems. So far this setup has not been supported in Fedora. This feature is about adding support for installing and booting Fedora on this hardware.
Comment 1 Jan Kurik 2017-08-10 02:17:53 EDT
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan
Comment 2 Jan Kurik 2017-08-14 10:39:07 EDT
Deferring. Please resubmit the Change proposal for review to Change wrangler once this is ready.

For more info check https://pagure.io/fesco/issue/1760#comment-457211
Comment 3 Peter Jones 2017-08-18 11:28:29 EDT
This is testable on non-secure-boot machines with this copr: https://copr.fedorainfracloud.org/coprs/pjones/efi32cpu64/builds/

And I'll be able to merge it as soon as https://bugzilla.redhat.com/show_bug.cgi?id=1483014 is done.
Comment 4 Kalev Lember 2017-08-19 02:21:10 EDT
We discussed it in the FESCo meeting yesterday and agreed to allow this as a late exception:

  * AGREED: Include 32bit UEFI Support in F27 (+1:5, 0:0, -1:0)  (kalev,
    16:19:16)

https://meetbot.fedoraproject.org/fedora-meeting/2017-08-18/fesco.2017-08-18-16.00.log.html
Comment 5 Peter Jones 2017-08-25 11:26:49 EDT
This is mostly done:

gnu-efi is done
shim-unsigned-x64 is done
shim-unsigned-aarch64 is done (wish I had named this aa64 but oh well)
lorax is done
anaconda is done
shim-signed is in the works - right now it has the shim-0.8 /boot/efi/EFI/fedora/shimx64.efi that's signed by MS, and I'll swap out the new one once signing happens.  At that point I'm also going to deadpkg this package and move it into the "shim" package, fixing our ages old naming goof.
Comment 6 Jan Kurik 2017-09-06 09:38:10 EDT
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 7 Ryan Farmer 2017-09-14 00:29:18 EDT
(In reply to Peter Jones from comment #5)
> This is mostly done:
> 
> gnu-efi is done
> shim-unsigned-x64 is done
> shim-unsigned-aarch64 is done (wish I had named this aa64 but oh well)
> lorax is done
> anaconda is done
> shim-signed is in the works - right now it has the shim-0.8
> /boot/efi/EFI/fedora/shimx64.efi that's signed by MS, and I'll swap out the
> new one once signing happens.  At that point I'm also going to deadpkg this
> package and move it into the "shim" package, fixing our ages old naming goof.

Just to be clear, is this the reason why in Fedora 27, I have two entries that say "Fedora", and I end up getting this when I ask efibootmgr what's going on?

$ efibootmgr -v
BootCurrent: 0001
Timeout: 0 seconds
BootOrder: 0001,0000,2001,2002,2003
Boot0000* Fedora	HD(1,GPT,7f5ff969-0902-4306-8441-cc26c5282b55,0x800,0x64000)/File(\EFI\fedora\shim.efi)RC
Boot0001* Fedora	HD(1,GPT,7f5ff969-0902-4306-8441-cc26c5282b55,0x800,0x64000)/File(\EFI\fedora\shimx64.efi)
Boot2001* EFI USB Device	RC
Boot2002* EFI DVD/CDROM	RC
Boot2003* EFI Network	RC

I thought I was losing my mind or that my firmware was doing something bogus.

Thanks!
Comment 8 Peter Jones 2017-09-15 11:39:12 EDT
(In reply to Ryan Farmer from comment #7)
> (In reply to Peter Jones from comment #5)
> > This is mostly done:
> > 
> > gnu-efi is done
> > shim-unsigned-x64 is done
> > shim-unsigned-aarch64 is done (wish I had named this aa64 but oh well)
> > lorax is done
> > anaconda is done
> > shim-signed is in the works - right now it has the shim-0.8
> > /boot/efi/EFI/fedora/shimx64.efi that's signed by MS, and I'll swap out the
> > new one once signing happens.  At that point I'm also going to deadpkg this
> > package and move it into the "shim" package, fixing our ages old naming goof.
> 
> Just to be clear, is this the reason why in Fedora 27, I have two entries
> that say "Fedora", and I end up getting this when I ask efibootmgr what's
> going on?

Yes, though this aspect should be fixed in https://bodhi.fedoraproject.org/updates/FEDORA-2017-249267e56b (shim-signed-13-0.5).

Everything is done here except signing; that'll be shim-signed-13-1 , which should happen within the next week or so.  If there's any delay in that, we can ship as-is for f27 and issue the new version as an update, and all that will mean is that the install image still doesn't work on ia32.
Comment 9 Fedora End Of Life 2018-02-20 10:32:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.
Comment 10 mirh 2018-05-06 17:02:24 EDT
I see signed ia32 shim finally was released in 15.2

And for as much not being in F28, I see latest rawhide has it. 
Can the issue be closed then?

Note You need to log in before you can comment on or make changes to this bug.